Db2Server (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2Server interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2Server

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  Db2AdminServer, Db2Instance, DB2Subsystem, MySAPDb2Instance

    public interface Db2Server

extends DatabaseServer

An "abstract" interface shared by Db2Instance & Db2AdminServer

Persistable:
  true
Table Name:
  APPSDB2
Top Level:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getBuildLevel()`
`java.lang.String` | `getComment()`
`java.lang.String` | `getLevel()`
`java.lang.String` | `getLevelId()`
`java.lang.String` | `getNodeName()`
`int` | `getPort()`
`java.lang.String` | `getProductId()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getProtocolParams()`
`java.lang.String` | `getPTF()`
`java.lang.String` | `getType()`
`boolean` | `hasBuildLevel()`
`boolean` | `hasComment()`
`boolean` | `hasLevel()`
`boolean` | `hasLevelId()`
`boolean` | `hasNodeName()`
`boolean` | `hasPort()`
`boolean` | `hasProductId()`
`boolean` | `hasProtocol()`
`boolean` | `hasProtocolParams()`
`boolean` | `hasPTF()`
`boolean` | `hasType()`
`void` | `setBuildLevel(java.lang.String buildLevel)`
`void` | `setComment(java.lang.String comment)`
`void` | `setLevel(java.lang.String level)`
`void` | `setLevelId(java.lang.String levelId)`
`void` | `setNodeName(java.lang.String node)`
`void` | `setPort(int port)`
`void` | `setProductId(java.lang.String productId)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setProtocolParams(java.lang.String params)`
`void` | `setPTF(java.lang.String ptf)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getNodeName

    java.lang.String getNodeName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNodeName

    void setNodeName(java.lang.String node)

### hasNodeName

    boolean hasNodeName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getProtocol

    java.lang.String getProtocol()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProtocol

    void setProtocol(java.lang.String protocol)

### hasProtocol

    boolean hasProtocol()

### getProtocolParams

    java.lang.String getProtocolParams()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProtocolParams

    void setProtocolParams(java.lang.String params)

### hasProtocolParams

    boolean hasProtocolParams()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String comment)

### hasComment

    boolean hasComment()

### getProductId

    java.lang.String getProductId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductId

    void setProductId(java.lang.String productId)

### hasProductId

    boolean hasProductId()

### getLevelId

    java.lang.String getLevelId()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLevelId

    void setLevelId(java.lang.String levelId)

### hasLevelId

    boolean hasLevelId()

### getLevel

    java.lang.String getLevel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLevel

    void setLevel(java.lang.String level)

### hasLevel

    boolean hasLevel()

### getBuildLevel

    java.lang.String getBuildLevel()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBuildLevel

    void setBuildLevel(java.lang.String buildLevel)

### hasBuildLevel

    boolean hasBuildLevel()

### getPTF

    java.lang.String getPTF()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPTF

    void setPTF(java.lang.String ptf)

### hasPTF

    boolean hasPTF()

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(int port)

### hasPort

    boolean hasPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD